<html>
<head>
<title>OGRE: Ogre::ILImageCodec Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ILImageCodec.html">ILImageCodec</a></div>
<h1>Ogre::ILImageCodec Class Reference</h1><!-- doxytag: class="Ogre::ILImageCodec" --><!-- doxytag: inherits="Ogre::ImageCodec,Ogre::ImageCodec" --><a class="el" href="classOgre_1_1Codec.html" title="Abstract class that defines a &#39;codec&#39;.">Codec</a> specialized in images loaded using DevIL.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="Attic_2OgreILImageCodec_8h-source.html">OgreILImageCodec.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ILImageCodec:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ILImageCodec-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br>
&lt; CodecData &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#21f4b8a16d070793d576f827c9fee218">CodecIterator</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::pair<br>
&lt; <a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a>,<br>
 <a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Result of a decoding; both a decoded data stream and <a class="el" href="classOgre_1_1Codec_1_1CodecData.html">CodecData</a> metadata.  <a href="#8cc81c85bd7d4e25393aa153c5e01454"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#66dba1a1e94c984ae1ca2c2170c0a7e8">ILImageCodec</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;type, unsigned int ilType)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#19e1f67e7aeecba2bce01f76d21fa3b9">~ILImageCodec</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#e5b179df99b61b5f038912b04e405112">code</a> (<a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;input, <a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;pData) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Codes the data in the input stream and saves the result in the output stream.   <a href="#e5b179df99b61b5f038912b04e405112"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#319af756c43e08366886e3711c2791f7">codeToFile</a> (<a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;input, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;outFileName, <a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;pData) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Codes the data in the input chunk and saves the result in the output filename provided. <p>
Provided for efficiency since coding to memory is progressive therefore memory required is unknown leading to reallocations. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>The input data </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>outFileName</em>&nbsp;</td><td>The filename to write to </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pData</em>&nbsp;</td><td>Extra information to be passed to the codec (codec type specific) </td></tr>
  </table>
</dl>
  <a href="#319af756c43e08366886e3711c2791f7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#ba2785a04b65c2e0ccdfe1eda7b691a5">decode</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;input) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Codes the data from the input chunk into the output chunk. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>Stream containing the encoded data </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Has a variable number of arguments, which depend on the codec type. </dd></dl>
  <a href="#ba2785a04b65c2e0ccdfe1eda7b691a5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#59b8961c776a517be14e1412f664b43a">initialiseIL</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialise DevIL.  <a href="#59b8961c776a517be14e1412f664b43a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#acf0a3063c1aaa2818ed422d25b42cea">getType</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the type of the codec as a String.  <a href="#acf0a3063c1aaa2818ed422d25b42cea"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#66dba1a1e94c984ae1ca2c2170c0a7e8">ILImageCodec</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;type, unsigned int ilType)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#19e1f67e7aeecba2bce01f76d21fa3b9">~ILImageCodec</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#e5b179df99b61b5f038912b04e405112">code</a> (<a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;input, <a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;pData) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Codes the data in the input stream and saves the result in the output stream.   <a href="#e5b179df99b61b5f038912b04e405112"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#319af756c43e08366886e3711c2791f7">codeToFile</a> (<a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;input, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;outFileName, <a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;pData) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Codes the data in the input chunk and saves the result in the output filename provided. <p>
Provided for efficiency since coding to memory is progressive therefore memory required is unknown leading to reallocations. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>The input data </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>outFileName</em>&nbsp;</td><td>The filename to write to </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pData</em>&nbsp;</td><td>Extra information to be passed to the codec (codec type specific) </td></tr>
  </table>
</dl>
  <a href="#319af756c43e08366886e3711c2791f7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#ba2785a04b65c2e0ccdfe1eda7b691a5">decode</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;input) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Codes the data from the input chunk into the output chunk. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>Stream containing the encoded data </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Has a variable number of arguments, which depend on the codec type. </dd></dl>
  <a href="#ba2785a04b65c2e0ccdfe1eda7b691a5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#59b8961c776a517be14e1412f664b43a">initialiseIL</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialise DevIL.  <a href="#59b8961c776a517be14e1412f664b43a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#acf0a3063c1aaa2818ed422d25b42cea">getType</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the type of the codec as a String.  <a href="#acf0a3063c1aaa2818ed422d25b42cea"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec.html#c4b5cbd627bb15c58088eec2319d881a">getDataType</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the type of the data that supported by this codec as a String.  <a href="#c4b5cbd627bb15c58088eec2319d881a"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#60f445cc6919df56af6611fd14eec47d">registerCodec</a> (<a class="el" href="classOgre_1_1Codec.html">Codec</a> *pCodec)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Registers a new codec in the database.  <a href="#60f445cc6919df56af6611fd14eec47d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#c1199a6638ff560aa81287cd12c26bcf">unRegisterCodec</a> (<a class="el" href="classOgre_1_1Codec.html">Codec</a> *pCodec)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unregisters a codec from the database.  <a href="#c1199a6638ff560aa81287cd12c26bcf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1ConstMapIterator.html">CodecIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#55bf1d49e91958f8e412a583666bbd58">getCodecIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the iterator for the registered codecs.  <a href="#55bf1d49e91958f8e412a583666bbd58"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#6092324fd74dd0221f7c63ca8bec4fc1">getExtensions</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the file extension list for the registered codecs.  <a href="#6092324fd74dd0221f7c63ca8bec4fc1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Codec.html">Codec</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#cc4ee751f92b6e54051393e74e0a2884">getCodec</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;extension)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the codec registered for the passed in file extension.  <a href="#cc4ee751f92b6e54051393e74e0a2884"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Codec.html">Codec</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a></td></tr>

<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#715604fe2fb727a6aa4f1e9c9364f870">ms_mapCodecs</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A map that contains all the registered codecs.  <a href="#715604fe2fb727a6aa4f1e9c9364f870"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#626860ed0d1c9c2affcb556fa4dd7d85">mType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#cd4b11129d0b936e21aaf2e82183aae6">mIlType</a></td></tr>

<tr><td colspan="2"><br><h2>Static Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILImageCodec.html#c60067b8e33c5f25518ce2bdaabb52db">_is_initialised</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1Codec.html" title="Abstract class that defines a &#39;codec&#39;.">Codec</a> specialized in images loaded using DevIL. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The users implementing subclasses of <a class="el" href="classOgre_1_1ImageCodec.html" title="Codec specialized in images.">ImageCodec</a> are required to return a valid pointer to a ImageData class from the decode(...) function. </dd></dl>

<p>Definition at line <a class="el" href="Attic_2OgreILImageCodec_8h-source.html#l00041">41</a> of file <a class="el" href="Attic_2OgreILImageCodec_8h-source.html">Attic/OgreILImageCodec.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="6359075bde4a8d569b9b8ce66672e7da"></a><!-- doxytag: member="Ogre::ILImageCodec::CodecList" ref="6359075bde4a8d569b9b8ce66672e7da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Codec.html">Codec</a>* &gt; <a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">Ogre::Codec::CodecList</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00052">52</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="29e31ad112b08ea7fb648b63f426ff1f"></a><!-- doxytag: member="Ogre::ILImageCodec::CodecDataPtr" ref="29e31ad112b08ea7fb648b63f426ff1f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt;CodecData&gt; <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::Codec::CodecDataPtr</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00067">67</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="21f4b8a16d070793d576f827c9fee218"></a><!-- doxytag: member="Ogre::ILImageCodec::CodecIterator" ref="21f4b8a16d070793d576f827c9fee218" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a>&lt;<a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a>&gt; <a class="el" href="classOgre_1_1ConstMapIterator.html">Ogre::Codec::CodecIterator</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00069">69</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8cc81c85bd7d4e25393aa153c5e01454"></a><!-- doxytag: member="Ogre::ILImageCodec::DecodeResult" ref="8cc81c85bd7d4e25393aa153c5e01454" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::pair&lt;<a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a>, <a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a>&gt; <a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">Ogre::Codec::DecodeResult</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Result of a decoding; both a decoded data stream and <a class="el" href="classOgre_1_1Codec_1_1CodecData.html">CodecData</a> metadata. 
<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00114">114</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="66dba1a1e94c984ae1ca2c2170c0a7e8"></a><!-- doxytag: member="Ogre::ILImageCodec::ILImageCodec" ref="66dba1a1e94c984ae1ca2c2170c0a7e8" args="(const String &amp;type, unsigned int ilType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ILImageCodec::ILImageCodec           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>ilType</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="19e1f67e7aeecba2bce01f76d21fa3b9"></a><!-- doxytag: member="Ogre::ILImageCodec::~ILImageCodec" ref="19e1f67e7aeecba2bce01f76d21fa3b9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ILImageCodec::~ILImageCodec           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreILImageCodec_8h-source.html#l00050">50</a> of file <a class="el" href="Attic_2OgreILImageCodec_8h-source.html">Attic/OgreILImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="66dba1a1e94c984ae1ca2c2170c0a7e8"></a><!-- doxytag: member="Ogre::ILImageCodec::ILImageCodec" ref="66dba1a1e94c984ae1ca2c2170c0a7e8" args="(const String &amp;type, unsigned int ilType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ILImageCodec::ILImageCodec           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>ilType</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="19e1f67e7aeecba2bce01f76d21fa3b9"></a><!-- doxytag: member="Ogre::ILImageCodec::~ILImageCodec" ref="19e1f67e7aeecba2bce01f76d21fa3b9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ILImageCodec::~ILImageCodec           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreILImageCodec_8h-source.html#l00050">50</a> of file <a class="el" href="OgreILImageCodec_8h-source.html">OgreILImageCodec.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e5b179df99b61b5f038912b04e405112"></a><!-- doxytag: member="Ogre::ILImageCodec::code" ref="e5b179df99b61b5f038912b04e405112" args="(MemoryDataStreamPtr &amp;input, CodecDataPtr &amp;pData) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> Ogre::ILImageCodec::code           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pData</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Codes the data in the input stream and saves the result in the output stream.  
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#e972de8ed9eedf56855bdaf6c21d0645">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="319af756c43e08366886e3711c2791f7"></a><!-- doxytag: member="Ogre::ILImageCodec::codeToFile" ref="319af756c43e08366886e3711c2791f7" args="(MemoryDataStreamPtr &amp;input, const String &amp;outFileName, CodecDataPtr &amp;pData) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ILImageCodec::codeToFile           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>outFileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pData</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Codes the data in the input chunk and saves the result in the output filename provided. <p>
Provided for efficiency since coding to memory is progressive therefore memory required is unknown leading to reallocations. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>The input data </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>outFileName</em>&nbsp;</td><td>The filename to write to </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pData</em>&nbsp;</td><td>Extra information to be passed to the codec (codec type specific) </td></tr>
  </table>
</dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#77edfaacf42d2fce9cd2b8a82a9d00d6">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba2785a04b65c2e0ccdfe1eda7b691a5"></a><!-- doxytag: member="Ogre::ILImageCodec::decode" ref="ba2785a04b65c2e0ccdfe1eda7b691a5" args="(DataStreamPtr &amp;input) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a> Ogre::ILImageCodec::decode           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>input</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Codes the data from the input chunk into the output chunk. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>Stream containing the encoded data </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Has a variable number of arguments, which depend on the codec type. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#63f306b8171a0ea5cf319824044958e4">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="59b8961c776a517be14e1412f664b43a"></a><!-- doxytag: member="Ogre::ILImageCodec::initialiseIL" ref="59b8961c776a517be14e1412f664b43a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ILImageCodec::initialiseIL           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Initialise DevIL. 
<p>

</div>
</div><p>
<a class="anchor" name="acf0a3063c1aaa2818ed422d25b42cea"></a><!-- doxytag: member="Ogre::ILImageCodec::getType" ref="acf0a3063c1aaa2818ed422d25b42cea" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::ILImageCodec::getType           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the type of the codec as a String. 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#da1a5477ab6a563565f1b3599d7b806a">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="e5b179df99b61b5f038912b04e405112"></a><!-- doxytag: member="Ogre::ILImageCodec::code" ref="e5b179df99b61b5f038912b04e405112" args="(MemoryDataStreamPtr &amp;input, CodecDataPtr &amp;pData) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> Ogre::ILImageCodec::code           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pData</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Codes the data in the input stream and saves the result in the output stream.  
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#e972de8ed9eedf56855bdaf6c21d0645">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="319af756c43e08366886e3711c2791f7"></a><!-- doxytag: member="Ogre::ILImageCodec::codeToFile" ref="319af756c43e08366886e3711c2791f7" args="(MemoryDataStreamPtr &amp;input, const String &amp;outFileName, CodecDataPtr &amp;pData) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ILImageCodec::codeToFile           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>outFileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pData</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Codes the data in the input chunk and saves the result in the output filename provided. <p>
Provided for efficiency since coding to memory is progressive therefore memory required is unknown leading to reallocations. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>The input data </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>outFileName</em>&nbsp;</td><td>The filename to write to </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pData</em>&nbsp;</td><td>Extra information to be passed to the codec (codec type specific) </td></tr>
  </table>
</dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#77edfaacf42d2fce9cd2b8a82a9d00d6">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba2785a04b65c2e0ccdfe1eda7b691a5"></a><!-- doxytag: member="Ogre::ILImageCodec::decode" ref="ba2785a04b65c2e0ccdfe1eda7b691a5" args="(DataStreamPtr &amp;input) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a> Ogre::ILImageCodec::decode           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>input</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Codes the data from the input chunk into the output chunk. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>Stream containing the encoded data </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Has a variable number of arguments, which depend on the codec type. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#63f306b8171a0ea5cf319824044958e4">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="59b8961c776a517be14e1412f664b43a"></a><!-- doxytag: member="Ogre::ILImageCodec::initialiseIL" ref="59b8961c776a517be14e1412f664b43a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ILImageCodec::initialiseIL           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Initialise DevIL. 
<p>

</div>
</div><p>
<a class="anchor" name="acf0a3063c1aaa2818ed422d25b42cea"></a><!-- doxytag: member="Ogre::ILImageCodec::getType" ref="acf0a3063c1aaa2818ed422d25b42cea" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::ILImageCodec::getType           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the type of the codec as a String. 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#da1a5477ab6a563565f1b3599d7b806a">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="c4b5cbd627bb15c58088eec2319d881a"></a><!-- doxytag: member="Ogre::ILImageCodec::getDataType" ref="c4b5cbd627bb15c58088eec2319d881a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::ImageCodec::getDataType           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the type of the data that supported by this codec as a String. 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#eb344d293259ec352c308d81fdf3e94c">Ogre::Codec</a>.</p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00074">74</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="60f445cc6919df56af6611fd14eec47d"></a><!-- doxytag: member="Ogre::ILImageCodec::registerCodec" ref="60f445cc6919df56af6611fd14eec47d" args="(Codec *pCodec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Codec::registerCodec           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Codec.html">Codec</a> *&nbsp;</td>
          <td class="paramname"> <em>pCodec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Registers a new codec in the database. 
<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00076">76</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Codec.html#da1a5477ab6a563565f1b3599d7b806a">Ogre::Codec::getType()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c1199a6638ff560aa81287cd12c26bcf"></a><!-- doxytag: member="Ogre::ILImageCodec::unRegisterCodec" ref="c1199a6638ff560aa81287cd12c26bcf" args="(Codec *pCodec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Codec::unRegisterCodec           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Codec.html">Codec</a> *&nbsp;</td>
          <td class="paramname"> <em>pCodec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unregisters a codec from the database. 
<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00083">83</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Codec.html#da1a5477ab6a563565f1b3599d7b806a">Ogre::Codec::getType()</a>.</p>

</div>
</div><p>
<a class="anchor" name="55bf1d49e91958f8e412a583666bbd58"></a><!-- doxytag: member="Ogre::ILImageCodec::getCodecIterator" ref="55bf1d49e91958f8e412a583666bbd58" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ConstMapIterator.html">CodecIterator</a> Ogre::Codec::getCodecIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the iterator for the registered codecs. 
<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00089">89</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6092324fd74dd0221f7c63ca8bec4fc1"></a><!-- doxytag: member="Ogre::ILImageCodec::getExtensions" ref="6092324fd74dd0221f7c63ca8bec4fc1" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> Ogre::Codec::getExtensions           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the file extension list for the registered codecs. 
<p>

</div>
</div><p>
<a class="anchor" name="cc4ee751f92b6e54051393e74e0a2884"></a><!-- doxytag: member="Ogre::ILImageCodec::getCodec" ref="cc4ee751f92b6e54051393e74e0a2884" args="(const String &amp;extension)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Codec.html">Codec</a>* Ogre::Codec::getCodec           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>extension</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the codec registered for the passed in file extension. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="c60067b8e33c5f25518ce2bdaabb52db"></a><!-- doxytag: member="Ogre::ILImageCodec::_is_initialised" ref="c60067b8e33c5f25518ce2bdaabb52db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ILImageCodec.html#c60067b8e33c5f25518ce2bdaabb52db">Ogre::ILImageCodec::_is_initialised</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreILImageCodec_8h-source.html#l00044">44</a> of file <a class="el" href="Attic_2OgreILImageCodec_8h-source.html">Attic/OgreILImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="626860ed0d1c9c2affcb556fa4dd7d85"></a><!-- doxytag: member="Ogre::ILImageCodec::mType" ref="626860ed0d1c9c2affcb556fa4dd7d85" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ILImageCodec.html#626860ed0d1c9c2affcb556fa4dd7d85">Ogre::ILImageCodec::mType</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreILImageCodec_8h-source.html#l00045">45</a> of file <a class="el" href="Attic_2OgreILImageCodec_8h-source.html">Attic/OgreILImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cd4b11129d0b936e21aaf2e82183aae6"></a><!-- doxytag: member="Ogre::ILImageCodec::mIlType" ref="cd4b11129d0b936e21aaf2e82183aae6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1ILImageCodec.html#cd4b11129d0b936e21aaf2e82183aae6">Ogre::ILImageCodec::mIlType</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreILImageCodec_8h-source.html#l00046">46</a> of file <a class="el" href="Attic_2OgreILImageCodec_8h-source.html">Attic/OgreILImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="715604fe2fb727a6aa4f1e9c9364f870"></a><!-- doxytag: member="Ogre::ILImageCodec::ms_mapCodecs" ref="715604fe2fb727a6aa4f1e9c9364f870" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a> <a class="el" href="classOgre_1_1Codec.html#715604fe2fb727a6aa4f1e9c9364f870">Ogre::Codec::ms_mapCodecs</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
A map that contains all the registered codecs. 
<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00055">55</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Attic_2OgreILImageCodec_8h-source.html">Attic/OgreILImageCodec.h</a><li><a class="el" href="OgreILImageCodec_8h-source.html">OgreILImageCodec.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:04 2008
</p>
</body>
</html>
